Relatórios

Notas
Nível especialista
A chave API deve ser enviada como um token Bearer no cabeçalho Authorization da requisição. Obtenha sua chave API.
Lista

API endpoint:

GET
https://itseo.pro/api/v1/reports

Request example:

curl --location --request GET 'https://itseo.pro/api/v1/reports' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parâmetro
Tipo
Descrição
search
optional string
A consulta de pesquisa.
search_by
optional string
Search by. Possible values are: url for URL. Defaults to: url.
project
optional string
O nome do projeto.
result
optional string
The report result. Possible values are: good for Bom, decent for Razoável, bad for Ruim.
sort_by
optional string
Sort by. Possible values are: id for Data de criação, generated_at for Data de geração, url for URL, result for Resultado. Defaults to: id.
sort
optional string
Sort. Possible values are: desc for Decrescente, asc for Crescente. Defaults to: desc.
per_page
optional int
Results per page. Possible values are: 10, 25, 50, 100. Defaults to: 100.
Mostrar

API endpoint:

GET
https://itseo.pro/api/v1/reports/{id}

Request example:

curl --location --request GET 'https://itseo.pro/api/v1/reports/{id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Salvar

API endpoint:

POST
https://itseo.pro/api/v1/reports

Request example:

curl --location --request POST 'https://itseo.pro/api/v1/reports' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}' \
--data-urlencode 'url={url}'
Parâmetro
Tipo
Descrição
url
required string
A URL da página web.
privacy
optional integer
Report page privacy. Possible values are: 0 for Público, 1 for Privado, 2 for Senha. Defaults to: 1.
password
optional string
The password for the report page. Only works with privacy set to 2.
Atualizar

API endpoint:

PUT PATCH
https://itseo.pro/api/v1/reports/{id}

Request example:

curl --location --request PUT 'https://itseo.pro/api/v1/reports/{id}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}'
Parâmetro
Tipo
Descrição
privacy
optional integer
Report page privacy. Possible values are: 0 for Público, 1 for Privado, 2 for Senha.
password
optional string
The password for the report page. Only works with privacy set to 2.
results
optional integer
Update the report results. Possible values are: 0 for Não, 1 for Sim. Defaults to: 0.
Excluir

API endpoint:

DELETE
https://itseo.pro/api/v1/reports/{id}

Request example:

curl --location --request DELETE 'https://itseo.pro/api/v1/reports/{id}' \
--header 'Authorization: Bearer {api_key}'